mbed TLS v2.23.0

Macros | Typedefs
crypto_platform.h File Reference

PSA cryptography module: Mbed TLS platform definitions. More...

`#include "mbedtls/config.h"`
`#include <stdint.h>`
Include dependency graph for crypto_platform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | PSA_KEY_FILE_GET_KEY_ID(id) ( id )

## Typedefs
typedef uint16_t | psa_key_handle_t
typedef uint32_t | psa_app_key_id_t
typedef psa_app_key_id_t | psa_key_file_id_t

## Detailed Description

PSA cryptography module: Mbed TLS platform definitions.

Note
  This file may not be included directly. Applications must include psa/crypto.h.

This file contains platform-dependent type definitions.

In implementations with isolation between the application and the cryptography module, implementers should take care to ensure that the definitions that are exposed to applications match what the module implements.

Definition in file crypto_platform.h.

## Macro Definition Documentation

## ◆ PSA_KEY_FILE_GET_KEY_ID

#define PSA_KEY_FILE_GET_KEY_ID | ( |  | id | ) | ( id )

Definition at line 99 of file crypto_platform.h.

## Typedef Documentation

## ◆ psa_app_key_id_t

typedef uint32_t psa_app_key_id_t

Definition at line 69 of file crypto_platform.h.

## ◆ psa_key_file_id_t

typedef psa_app_key_id_t psa_key_file_id_t

Definition at line 97 of file crypto_platform.h.

## ◆ psa_key_handle_t

typedef uint16_t psa_key_handle_t

Definition at line 50 of file crypto_platform.h.